import * as Cesium from "cesium";

export default class FeaturePrimitive extends Cesium.Primitive {

  properties = new Cesium.PropertyBag()
  constructor(options, properties) {
    super(options);
    if(properties && properties instanceof Object) {
      for (const key in properties) {
        if (Object.prototype.hasOwnProperty.call(properties, key)) {
          properties.addProperty(key, properties[key]);
        }
      }
    }
  }
}